Compile instructions (Ubuntu 12.04) - Git

Updated 3 años ago

This page contains only the compilation instructions that are specific to Ubuntu 12.04 LTS.

Tested working on: Ubuntu 12.04 LTS Desktop and Server editions.

Install dependencies

Install GCC 4.8+

GCC 4.8 or higher is needed. On Ubuntu 12.10 and higher, it's the default compiler. On Ubuntu 12.04, you will need to install it.

sudo add-apt-repository -y ppa:ubuntu-toolchain-r/test
sudo apt-get  update
sudo apt-get install g++-4.8
sudo update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-4.8 40 --slave /usr/bin/g++ g++ /usr/bin/g++-4.8

Install Qt 5.3.2

Download and install Qt 5.3 from http://qt-project.org/downloads
Add Qt bin directory in your $PATH.

For 32-bit:

echo "PATH=~/Qt5.3.2/5.3.2/gcc/bin:$PATH" >> ~/.bashrc
source  ~/.bashrc

or for 64-bit:

echo "PATH=~/Qt5.3.2/5.3.2/gcc_64/bin:$PATH" >> ~/.bashrc
source  ~/.bashrc

Install remaining dependencies

sudo apt-get install git cmake
sudo apt-get install alsa libsndfile1 
sudo apt-get install libasound2-dev portaudio19-dev libsndfile1-dev zlib1g-dev libfreetype6-dev
sudo apt-get install lame libmp3lame-dev
sudo apt-get install libssl-dev

In Ubuntu 13.04 you need to install these additional libraries:

sudo apt-get install libdrm-dev libgl1-mesa-dev

Note: In some cases, libgl1-mesa-dev(and/or libegl1-mesa-dev) needs to be installed in Ubuntu 12.04 desktop edition too. Install this library if you get the following error while making:

Failed to find "GL" in "".

Optional

sudo apt-get install libpulse-dev
sudo apt-get install doxygen

Get the source code and compile

Now follow the generic instructions for compiling on Linux.